/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.shardingsphere.test.e2e.agent.metrics.result;

import lombok.Getter;
import lombok.Setter;
import org.apache.shardingsphere.test.e2e.agent.common.result.JsonConfiguration;

import java.util.List;
import java.util.Map;

/**
 * Metrics meta data result.
 */
@Getter
@Setter
public final class MetricsMetaDataResult implements JsonConfiguration {
    
    private String status;
    
    private Map<String, List<Metric>> data;
    
    private String errorType;
    
    private String error;
    
    /**
     * Metric.
     */
    @Getter
    @Setter
    public static final class Metric {
        
        private String type;
        
        private String help;
        
        private String unit;
    }
}
